package dao

import (
	"gorm.io/gorm"
	"time"
)

type BusinessTacticsRel struct {
	GroupId      string    `comment:"归属灯杆分组id：p+id" json:"groupId,omitempty"`
	DeviceId     string    `comment:"归属设备id：sn" json:"deviceId,omitempty"`
	ModelId      int       `comment:"物模id" json:"modelId,omitempty"`
	ModelSid     string    `comment:"sn_(设备sn)_modelTid_(model_id)_sid_(物模属性sid)" json:"modelSid,omitempty"`
	TacticsId    int       `comment:"业务告警策略id" json:"tacticsId,omitempty"`
	LampPoleSn   string    `comment:"灯杆sn" json:"lampPoleSn,omitempty"`
	OperaterUser string    `comment:"操作用户ID" json:"operaterUser,omitempty"`
	OperaterTime time.Time `comment:"修改时间" json:"operaterTime"`
	TenantId     string    `comment:"租户ID" json:"tenantId,omitempty"`
	gorm.Model   `json:"Gorm.Model"`
}

func (BusinessTacticsRel) TableName() string {
	return "warn_business_tactics_rel"
}
